#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.14.0"

# Clone Upstream
git clone https://github.com/ziglang/zig.git -b "$VERSION"
cp -rvf ./debian ./zig/
cd ./zig/

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p zig_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
